/**
 * Clase abstracta que heredaran objetos que puedan ser adheridos a un pilar
 * @author Agustin G.,Victor,Yen
 */
public abstract class AttachableElement extends PhysicsElement {
    protected AttachableElement(int id) {
        super(id);
    }
    public abstract void attachPilar(Pilar s);
    public abstract void detachPilar(Pilar s);
    public abstract Vector2D getPosition();
}
